<div class="grid-container">
  <div *ngIf="selected">
    <div fxLayout="row wrap" fxLayoutGap="16px grid">
      <div flex="100%">
        <img
          mat-card-image
          style="max-width: 300px"
          [src]="selected.image"
          [alt]="selected.title"
        />
      </div>
    </div>
    <div fxLayout="row wrap">
      <div flex="100%">
        <h1>{{ selected.title }}</h1>
        <!--  {{ recipe.name }} -->
      </div>
    </div>
    <div fxLayout="row wrap">
      <div flex="100%">
        <button
          class="test-menu"
          color="primary"
          mat-flat-button
          [matMenuTriggerFor]="manage"
        >
          Manage Recipe
          <mat-icon>arrow_drop_down</mat-icon>
        </button>
        <mat-menu #manage="matMenu">
          <button mat-menu-item>To Shopping List</button>
          <button mat-menu-item>Edit Recipe</button>
          <button mat-menu-item>Delete Recipe</button>
        </mat-menu>
      </div>
    </div>
    <div fxLayout="row wrap">
      <div flex="100%" innerHTML="{{ selected.summary }}"></div>
    </div>
    <div fxLayout="row wrap">
      <div flex="100%">
        Ingredients
        <!--  {{ recipe.description }} -->
      </div>
    </div>
  </div>
</div>
